%define url_ver %(echo %{version} | cut -d. -f1,2)

%define git_url	git://git.xfce.org/xfce/xfce4-power-manager

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	A power manager for Xfce
Name:		xfce4-power-manager
Version:	1.6.0
Release:	%mkrel 1
Epoch:		1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://goodies.xfce.org/projects/applications/%{name}
Source0:	http://archive.xfce.org/src/apps/xfce4-power-manager/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		xfce4-power-manager-1.5.2-gtk3.19-fix.patch
Patch1:		0001-Add-MATE-to-NotShowIn-list-Bug-12506.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfconf-0) >= 4.12.0
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.12.0
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.12.0
BuildRequires:	pkgconfig(upower-glib) >= 0.99.0
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xtst)
Requires:	xfce4-panel >= 4.12.0
Requires:	upower

%description
A power manager dedicated for Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--enable-panel-plugins \
	--enable-network-manager \
	--enable-polkit

%make V=1

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO
%{_sysconfdir}/xdg/autostart/*.desktop
%{_sbindir}/xfpm-power-backlight-helper
%{_sbindir}/xfce4-pm-helper
%{_bindir}/%{name}*
%{_datadir}/polkit-1/actions/org.xfce.power.policy
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/xfce4-power-manager.appdata.xml
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/*
#panel plugin
%{_libdir}/xfce4/panel/plugins/libxfce4powermanager.so
%{_datadir}/xfce4/panel/plugins/power-manager-plugin.desktop


%changelog
* Sat Mar 19 2016 wally <wally> 1:1.6.0-1.mga6
+ Revision: 992980
- new version 1.6.0

* Sat Jan 23 2016 wally <wally> 1:1.5.2-2.mga6
+ Revision: 926666
- update BRs
- add patch from upstream to fix empty brightnes indicator (xfce#12292)

* Sun Jun 21 2015 wally <wally> 1:1.5.2-1.mga6
+ Revision: 837662
- new version 1.5.2
- switch to gtk3

* Tue Mar 03 2015 wally <wally> 1:1.4.3-1.mga5
+ Revision: 817405
- new version 1.4.3

* Fri Dec 05 2014 wally <wally> 1:1.4.2-1.mga5
+ Revision: 801628
- new version 1.4.2

* Wed Oct 15 2014 umeabot <umeabot> 1:1.4.1-3.mga5
+ Revision: 744233
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 1:1.4.1-2.mga5
+ Revision: 733879
- new version 1.4.1

* Tue Sep 16 2014 umeabot <umeabot> 1:1.3.2-2.mga5
+ Revision: 690625
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 wally <wally> 1:1.3.2-1.mga5
+ Revision: 666580
- new version 1.3.2
- drop patches from usptream

* Sun Aug 17 2014 wally <wally> 1:1.3.1-3.mga5
+ Revision: 664687
- add patch from upstream git to fix version output on cmd line

* Mon Aug 11 2014 wally <wally> 1:1.3.1-2.mga5
+ Revision: 661793
- add patch from upstream git to fix panel plugin crash on 32bit systems (xfce#11076)

* Mon Aug 11 2014 wally <wally> 1:1.3.1-1.mga5
+ Revision: 661645
- new version 1.3.1
- drop patches from upstream
- drop brightness plugin which was merged into battery indicator plugin

* Mon Jul 28 2014 wally <wally> 1:1.3.0-4.mga5
+ Revision: 657743
- add patch from upstream git to fix gtk_init() before fork()ing (xfce#11044)

* Tue Jul 08 2014 wally <wally> 1:1.3.0-3.mga5
+ Revision: 650720
- add patch from upstream git to add support for desktop systems in upower 0.99

* Mon Jun 30 2014 wally <wally> 1:1.3.0-2.mga5
+ Revision: 641611
- require upower

* Sun Jun 01 2014 wally <wally> 1:1.3.0-1.mga5
+ Revision: 630513
- new version 1.3.0

* Mon Apr 14 2014 wally <wally> 1:1.2.0-9.git20140413.1.mga5
+ Revision: 614005
- switch to latest git snapshot
- drop unneeded patches
- build against upower 0.99

* Sat Oct 19 2013 umeabot <umeabot> 1:1.2.0-8.mga4
+ Revision: 533422
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 wally <wally> 1:1.2.0-7.mga4
+ Revision: 473005
- fix build

* Tue Aug 13 2013 wally <wally> 1:1.2.0-6.mga4
+ Revision: 466130
- replace brightness level patch with one from upstream git

* Mon Jun 17 2013 wally <wally> 1:1.2.0-5.mga4
+ Revision: 444127
- add patch originally from upstream bugzilla to handle PowerOff with systemd

* Mon May 27 2013 wally <wally> 1:1.2.0-4.mga4
+ Revision: 428797
- add patches from upstream git/bugzilla
  * handle suspend/hibernate with systemd
  * remove custom OSD for brightness pop-up
  * unify brightness level settings
- add patch to fix build with automake 1.13
- drop req on upower as systemd handles suspend/hibernate

* Sat Feb 23 2013 wally <wally> 1:1.2.0-4.mga3
+ Revision: 400124
- add patch from upstream bugzilla to inhibit systemd from handling buttons and lid events (xfce#9335)

* Mon Jan 14 2013 umeabot <umeabot> 1:1.2.0-3.mga3
+ Revision: 386861
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 wally <wally> 1:1.2.0-2.mga3
+ Revision: 307688
- clean requires

* Mon May 28 2012 wally <wally> 1:1.2.0-1.mga3
+ Revision: 248514
- new version 1.2.0
- drop patch from upstream
- clean .spec

* Tue Jan 03 2012 wally <wally> 1:1.0.10-3.mga2
+ Revision: 190035
- rebuild for new xfce4-panel
- drop old conflicts

* Mon Jun 13 2011 ahmad <ahmad> 1:1.0.10-2.mga2
+ Revision: 105582
- Add a patch from upstream to fix the build with libnotify-0.7

* Wed Apr 13 2011 ahmad <ahmad> 1:1.0.10-1.mga1
+ Revision: 84482
- update to 1.0.10
- drop BR libxfcegui4-devel
- require upower directly

* Thu Feb 17 2011 ahmad <ahmad> 1:1.0.3-2.mga1
+ Revision: 53091
- drop old/unneeded scriptlets
- drop the buildroot tag
- imported package xfce4-power-manager

